spring:
  profiles:
    active: @env@
  application:
    name: xingxi-miniprogram-store-api
  rabbitmq:
    xMsgTtl: 301000
  jackson:
    time-zone: Asia/Shanghai
    default-property-inclusion: non_null
    serialization:
      indent_output: true
      fail_on_empty_beans: false
  servlet:
    multipart:
      max-file-size: 20MB
      max-request-size: 20MB

mybatis:
  typeAliasesPackage: com.xingxi.**.domain
  mapperLocations: classpath*:META-INF/sqlmap/**.xml,classpath*:mapper/**/**.xml
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl

pagehelper:
  helperDialect: mysql
  reasonable: true
  supportMethodsArguments: true
  params: count=countSql

aliyun:
  oss:
    endPoint: oss-cn-beijing.aliyuncs.com
    accessKeyID: LTAI5tMiMyyya41eaFJ8vcoU
    accessKeySecret: kAIazWRGoz1ird2ynzwgcwWzM9vMCu
    bucketName: bucket-gululuq
    # 如果有自定义域名
    customDomain: res.gululuq.com

